package de.meinefirma.meinprojekt;

import java.util.Hashtable;
import javax.naming.*;
import javax.naming.spi.InitialContextFactory;

public class InitialContextFactoryMock implements InitialContextFactory
{
   private static final InitialContextMock ctx = new InitialContextMock();

   @Override
   public Context getInitialContext( Hashtable<?,?> hashtable ) throws NamingException
   {
      return ctx;
   }
}

class InitialContextMock implements Context
{
   private Hashtable<String,Object> hashtable = new Hashtable<String,Object>();

   @Override public void bind( String key, Object value ) throws NamingException
   {
      hashtable.put( key, value );
   }

   @Override public Object lookup( String key ) throws NamingException
   {
      return hashtable.get( key );
   }

   @Override public Object addToEnvironment( String arg0, Object arg1 ) throws NamingException { return null; }
   @Override public void bind( Name key, Object value ) throws NamingException {}
   @Override public void close() throws NamingException {}
   @Override public Name composeName( Name arg0, Name arg1 ) throws NamingException { return null; }
   @Override public String composeName( String arg0, String arg1 ) throws NamingException { return null; }
   @Override public Context createSubcontext( Name arg0 ) throws NamingException { return null; }
   @Override public Context createSubcontext( String arg0 ) throws NamingException { return null; }
   @Override public void destroySubcontext( Name arg0 ) throws NamingException {}
   @Override public void destroySubcontext( String arg0 ) throws NamingException {}
   @Override public Hashtable<?,?> getEnvironment() throws NamingException { return null; }
   @Override public String getNameInNamespace() throws NamingException { return null; }
   @Override public NameParser getNameParser( Name arg0 ) throws NamingException { return null; }
   @Override public NameParser getNameParser( String arg0 ) throws NamingException { return null; }
   @Override public NamingEnumeration<NameClassPair> list( Name arg0 ) throws NamingException { return null; }
   @Override public NamingEnumeration<NameClassPair> list( String arg0 ) throws NamingException { return null; }
   @Override public NamingEnumeration<Binding> listBindings( Name arg0 ) throws NamingException { return null; }
   @Override public NamingEnumeration<Binding> listBindings( String arg0 ) throws NamingException { return null; }
   @Override public Object lookup( Name arg0 ) throws NamingException { return null; }
   @Override public Object lookupLink( Name arg0 ) throws NamingException { return null; }
   @Override public Object lookupLink( String arg0 ) throws NamingException { return null; }
   @Override public void rebind( Name arg0, Object arg1 ) throws NamingException {}
   @Override public void rebind( String arg0, Object arg1 ) throws NamingException {}
   @Override public Object removeFromEnvironment( String arg0 ) throws NamingException { return null; }
   @Override public void rename( Name arg0, Name arg1 ) throws NamingException {}
   @Override public void rename( String arg0, String arg1 ) throws NamingException {}
   @Override public void unbind( Name arg0 ) throws NamingException {}
   @Override public void unbind( String arg0 ) throws NamingException {}
}
