package validators;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlInputText;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.validator.EmailValidator;

public class MeineValidatoren
{
  public void validiereAlpha(
      FacesContext facesContext, UIComponent uiComponent, Object value )
      throws ValidatorException
  {
    if( !StringUtils.isAlphaSpace( "" + value ) )
    {
      HtmlInputText htmlInputText = (HtmlInputText) uiComponent;
      FacesMessage  facesMessage = new FacesMessage(
          htmlInputText.getLabel() + ": Es sind nur alphabetische Zeichen erlaubt." );
      throw new ValidatorException( facesMessage );
    }
  }

  public void validiereEmail(
      FacesContext facesContext, UIComponent uiComponent, Object value )
      throws ValidatorException
  {
    if( !(EmailValidator.getInstance()).isValid( "" + value ) )
    {
      HtmlInputText htmlInputText = (HtmlInputText) uiComponent;
      FacesMessage  facesMessage = new FacesMessage(
          htmlInputText.getLabel() + ": Das E-Mail-Format ist ungueltig." );
      throw new ValidatorException( facesMessage );
    }
  }
}
